import { Result } from "../fetch-utils";
type StreamKeyResponse = {
    streamingUrl: string;
    streamingKey: string;
    createdAt: number;
    endsAt: number;
};
export declare function getStreamKey(): Promise<Result<StreamKeyResponse, string>>;
export declare function generateStreamKey(): Promise<Result<StreamKeyResponse, string>>;
export declare function revokeStreamKey(): Promise<Result<StreamKeyResponse, string>>;
export declare function resetStreamKey(): Promise<Result<StreamKeyResponse, string>>;
export {};
